import Component from '../../component.js'
import CoEuiBreadcrumbItem from './eui-breadcrumb-item.js'

export default class CoEuiBreadcrumbs extends Component {
    constructor(parent) {
      let selector = 'eui-breadcrumbs';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/layout/eui-breadcrumb/breadcrumb.component.html?at=support%2Fdevelop-10.x
    }

    /*Element is not present in the application implementation
    get euiBreadCrumbItems() {
      return this.currentPath + '//div[contains(@class, "eui-breadcrumb-items")]';
    }
    */

    //Element is not present in the component HTML file but is present in the application implementaton
    get euiBreadcrumbItemCO() {
      return new CoEuiBreadcrumbItem(this.currentPath);
    }
}


